#
# spec file for package librsync (Version 0.9.7)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           librsync
BuildRequires:  rsync zlib-devel autoconf bzip2 gcc-c++
License:        GNU Library General Public License v. 2.0 and 2.1 (LGPL)
Group:          Development/Libraries/C and C++
Summary:        A Library for Generating Network Deltas
Version:        0.9.7
Release:        53.5
URL:            http://librsync.sourceforge.net/
Source:         http://prdownloads.sourceforge.net/rproxy/%{name}-%{version}.tar.bz2
Patch0:         %{name}-%{version}-strictalias.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
librsync implements the "rsync" algorithm, which allows remote
differencing of binary files.  librsync computes a delta relative to a
file's checksum, so the two files need not both be present to generate
a delta.



Authors:
--------
    Martin Pool <mbp@samba.org>
    Andrew Tridgell <tridge@samba.org>
    Donovan Baarda <abo@minkirri.apana.org.au>

%prep
%setup -q
%patch -p1

%build
autoreconf
export CFLAGS="$RPM_OPT_FLAGS -fPIC" 
./configure --prefix=/usr \
            --sysconfdir=/etc \
            --sharedstatedir=/var \
            --localstatedir=/var \
            --libdir=%{_libdir} \
            --infodir=%{_infodir} \
            --mandir=%{_mandir}
make

%install
make install DESTDIR=$RPM_BUILD_ROOT MANDIR=$RPM_BUILD_ROOT/%{_mandir} \
	INFODIR=$RPM_BUILD_ROOT/%{_infodir} DOCDIR=$RPM_BUILD_ROOT/%{_docdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/librsync.la
%{_libdir}/librsync.a
%{_bindir}/rdiff
%doc %{_mandir}/man1/rdiff.1.gz
%doc %{_mandir}/man3/librsync.3.gz
%{_prefix}/include/librsync.h
%{_prefix}/include/librsync-config.h
%doc AUTHORS COPYING NEWS README THANKS TODO

%changelog
* Sat Mar 24 2007 rguenther@suse.de
- add libbz2-devel and zlib-devel BuildRequires
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Sep 14 2005 cthiel@suse.de
- specfile cleanup
* Thu Apr 14 2005 cthiel@suse.de
- update to 0.9.7
* Fri Feb  6 2004 garloff@suse.de
- Fix strict aliasing issues.
* Sat Jan 10 2004 adrian@suse.de
- build as user
* Sun Aug 17 2003 garloff@suse.de
- Reenable installation of rdiff tool.
- Update to 0.9.6:
  * Large file support fixes.
  * [v]snprintf or _[v]snprintf autoconf replacement function fix.
  * Changed installed include file from rsync.h to librsync.h.
  * Rollsum bugfix that produces much smaller deltas.
  * Memory leaks bugfix patches.
  * mdfour bigendian and >512M bugfix, plus optimisations patch.
  * autoconf/automake updates and cleanups for autoconf 2.53.
* Fri Aug 16 2002 ro@suse.de
- removed empty post/postun scripts (#17922)
* Tue Jan 29 2002 schwab@suse.de
- Build with -fPIC so that it can be included in a shared library.
- Fix unaligned accesses.
* Tue Jan 29 2002 garloff@suse.de
- Fix building for s390x by using %%{_libdir}
* Fri Jan 18 2002 garloff@suse.de
- Update to 0.9.5 (moved from samba.org to sourceforge apparently)
* Thu Jan 17 2002 garloff@suse.de
- Initial creation of package (0.9.3)
